openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/SWB_CONTAINER_ELEMENT_DEF_READ:
    post:
      tags:
      - SWB2
      operationId: /rfc/SWB_CONTAINER_ELEMENT_DEF_READ
      requestBody:
        content:
          application/json:
            schema:
              properties:
                CONTAINER_ELEMENT:
                  type: string
                  maxLength: 32
                WFDKEY:
                  type: object
                  properties:
                    WFD_ID:
                      type: string
                      maxLength: 10
                      description: Number of workflow definition
                    VERSION:
                      type: string
                      maxLength: 4
                      description: Version
                    EXETYP:
                      type: string
                      maxLength: 1
                      description: 'Workflow Type  enumValues: E=Runtime,R=Ad Hoc Runtime,S=Definition,D=Ad Hoc Definition,C=Configuration Definition,A=Configuration Runtime'
                      enum:
                      - E
                      - R
                      - S
                      - D
                      - C
                      - A
              required:
              - CONTAINER_ELEMENT
              - WFDKEY
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  SWD_CONTAINER_DEF:
                    type: object
                    properties:
                      CLIENT:
                        type: string
                        maxLength: 3
                        description: 'Workflow definition: Client'
                      WFD_ID:
                        type: string
                        maxLength: 10
                        description: Number of workflow definition
                      VERSION:
                        type: string
                        maxLength: 4
                        description: Version
                      EXETYP:
                        type: string
                        maxLength: 1
                        description: 'Workflow Type  enumValues: E=Runtime,R=Ad Hoc Runtime,S=Definition,D=Ad Hoc Definition,C=Configuration Definition,A=Configuration Runtime'
                        enum:
                        - E
                        - R
                        - S
                        - D
                        - C
                        - A
                      ELEMENT:
                        type: string
                        maxLength: 32
                        description: Element
                      EDITELEM:
                        type: string
                        maxLength: 32
                        description: Element name in upper/lower case
                      EDITORDER:
                        type: integer
                        format: int64
                        description: Editing sequence
                      DESCRIPT:
                        type: string
                        maxLength: 20
                        description: Name
                      REFTYPE:
                        type: string
                        maxLength: 1
                        description: 'Dictionary  enumValues: R=Organizational object type,D=Data Dictionary table field or table,""=No data type reference,M=Microsoft OLE data type,O=Object type'
                        enum:
                        - R
                        - D
                        - ''
                        - M
                        - O
                      REFSTRUCT:
                        type: string
                        maxLength: 30
                        description: Reference table
                      REFFIELD:
                        type: string
                        maxLength: 30
                        description: Reference field
                      REFOBJTYPE:
                        type: string
                        maxLength: 10
                        description: Reference obj. type
                      ELEMTYPE:
                        type: string
                        maxLength: 1
                        description: 'Element type  enumValues: I=Import,A=Export and import,E=Export'
                        enum:
                        - I
                        - A
                        - E
                      OBLIGIMP:
                        type: string
                        maxLength: 1
                        description: 'Required  enumValues: ""=No,X=Yes'
                        enum:
                        - ''
                        - X
                      TABELEM:
                        type: string
                        maxLength: 1
                        description: 'Multiline element  enumValues: ""=No,X=Yes'
                        enum:
                        - ''
                        - X
                      MCODE:
                        type: string
                        maxLength: 30
                        description: Search Help (Formerly Matchcode)
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
